X2Go Bug report logs - #1307
Build failure with qt-5.11

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Lars Wendler <polynomial-c@gentoo.org>

Date: Wed, 4 Jul 2018 16:45:02 UTC

Severity: normal

Tags: pending

Found in version 4.1.2.1

Fixed in version 4.1.2.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1307; Package x2goclient. (Wed, 04 Jul 2018 16:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wendler <polynomial-c@gentoo.org>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 04 Jul 2018 16:45:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Lars Wendler <polynomial-c@gentoo.org>
To: submit@bugs.x2go.org
Subject: Build failure with qt-5.11
Date: Wed, 4 Jul 2018 18:32:02 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.1.2.1

This happens with qt-5.11.1:

x86_64-pc-linux-gnu-g++ -c -march=native -mtune=native -O2 -pipe -Wall
-W -D_REENTRANT -fPIC -DCFGCLIENT -D__linux__ -DQT_NO_DEBUG
-DQT_SVG_LIB -DQT_WIDGETS_LIB -DQT_X11EXTRAS_LIB -DQT_GUI_LIB
-DQT_NETWORK_LIB -DQT_CORE_LIB -I. -Isrc -isystem /usr/include/qt5
-isystem /usr/include/qt5/QtSvg -isystem /usr/include/qt5/QtWidgets
-isystem /usr/include/qt5/QtX11Extras -isystem /usr/include/qt5/QtGui
-isystem /usr/include/qt5/QtNetwork -isystem /usr/include/qt5/QtCore
-I. -isystem /usr/include/libdrm -I. -I/usr/lib64/qt5/mkspecs/linux-g++
-o printwidget.o src/printwidget.cpp 
src/printwidget.cpp: In constructor
‘PrintWidget::PrintWidget(QWidget*)’: src/printwidget.cpp:77:36: error:
invalid use of incomplete type ‘class QButtonGroup’ QButtonGroup*
bg=new QButtonGroup(); ^
In file included from /usr/include/qt5/QtWidgets/qcheckbox.h:44:0,
                 from /usr/include/qt5/QtWidgets/QCheckBox:1,
                 from ./ui_printwidget.h:14,
                 from src/printwidget.h:22,
                 from src/printwidget.cpp:18:
/usr/include/qt5/QtWidgets/qabstractbutton.h:53:7: note: forward
declaration of ‘class QButtonGroup’ class QButtonGroup;
       ^~~~~~~~~~~~
src/printwidget.cpp:78:4: error: invalid use of incomplete type ‘class
QButtonGroup’ bg->addButton ( ui.rbPrint );
    ^~
In file included from /usr/include/qt5/QtWidgets/qcheckbox.h:44:0,
                 from /usr/include/qt5/QtWidgets/QCheckBox:1,
                 from ./ui_printwidget.h:14,
                 from src/printwidget.h:22,
                 from src/printwidget.cpp:18:
/usr/include/qt5/QtWidgets/qabstractbutton.h:53:7: note: forward
declaration of ‘class QButtonGroup’ class QButtonGroup;
       ^~~~~~~~~~~~
src/printwidget.cpp:78:6: error: invalid use of incomplete type ‘class
QButtonGroup’ bg->addButton ( ui.rbPrint );
      ^~~~~~~~~
In file included from /usr/include/qt5/QtWidgets/qcheckbox.h:44:0,
                 from /usr/include/qt5/QtWidgets/QCheckBox:1,
                 from ./ui_printwidget.h:14,
                 from src/printwidget.h:22,
                 from src/printwidget.cpp:18:
/usr/include/qt5/QtWidgets/qabstractbutton.h:53:7: note: forward
declaration of ‘class QButtonGroup’ class QButtonGroup;
       ^~~~~~~~~~~~
src/printwidget.cpp:79:4: error: invalid use of incomplete type ‘class
QButtonGroup’ bg->addButton ( ui.rbView );
    ^~
In file included from /usr/include/qt5/QtWidgets/qcheckbox.h:44:0,
                 from /usr/include/qt5/QtWidgets/QCheckBox:1,
                 from ./ui_printwidget.h:14,
                 from src/printwidget.h:22,
                 from src/printwidget.cpp:18:
/usr/include/qt5/QtWidgets/qabstractbutton.h:53:7: note: forward
declaration of ‘class QButtonGroup’ class QButtonGroup;
       ^~~~~~~~~~~~
src/printwidget.cpp:79:6: error: invalid use of incomplete type ‘class
QButtonGroup’ bg->addButton ( ui.rbView );
      ^~~~~~~~~
In file included from /usr/include/qt5/QtWidgets/qcheckbox.h:44:0,
                 from /usr/include/qt5/QtWidgets/QCheckBox:1,
                 from ./ui_printwidget.h:14,
                 from src/printwidget.h:22,
                 from src/printwidget.cpp:18:
/usr/include/qt5/QtWidgets/qabstractbutton.h:53:7: note: forward
declaration of ‘class QButtonGroup’ class QButtonGroup;
       ^~~~~~~~~~~~
make: *** [Makefile:2025: printwidget.o] Error 1


-- 
Lars Wendler
Gentoo package maintainer
GPG: 21CC CF02 4586 0A07 ED93  9F68 498F E765 960E 9B39
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1307; Package x2goclient. (Thu, 05 Jul 2018 06:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 05 Jul 2018 06:55:02 GMT) Full text and rfc822 format available.

Message #10 received at 1307@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 1307-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1307@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Thu, 5 Jul 2018 08:53:51 +0200 (CEST)
tag #1307 pending
fixed #1307 4.1.2.2
thanks

Hello,

X2Go issue #1307 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=2579c87

The issue will most likely be fixed in src:x2goclient (4.1.2.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 2579c8758dede265b9473d2afe0984348fbcedb8
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Thu Jul 5 08:53:48 2018 +0200

    debian/changelog: add bug closure for #1307.

diff --git a/debian/changelog b/debian/changelog
index 1311d0a..3cd2915 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,7 +7,7 @@ x2goclient (4.1.2.2-0x2go1) UNRELEASED; urgency=medium
   [ Mihai Moldovan ]
   * New upstream version (4.1.2.2):
     - src/printwidget.cpp: add QButtonGroup include, fixes compile errors with
-      Qt 5.11+.
+      Qt 5.11+. Fixes: #1307.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Tue, 26 Jun 2018 00:39:28 +0200
 


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 05 Jul 2018 06:55:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.1.2.2. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 05 Jul 2018 06:55:02 GMT) Full text and rfc822 format available.

Message sent on to Lars Wendler <polynomial-c@gentoo.org>:
Bug#1307. (Thu, 05 Jul 2018 06:55:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 15 11:18:36 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.